メインコンテンツへスキップ
POST
/
rpc
/
Collections
/
CreateCollection
CreateCollection
curl --request POST \
  --url https://metadata.sequence.app/rpc/Collections/CreateCollection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": 30957,
  "collection": {
    "projectId": 30957,
    "private": true,
    "metadata": {
      "name": "Sandbox Chronicles",
      "description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
      "externalLink": "https://sequence.xyz/",
      "properties": {
        "maxNfts": 22,
        "minNfts": 4,
        "funCollection": true
      }
    }
  }
}
'
import requests

url = "https://metadata.sequence.app/rpc/Collections/CreateCollection"

payload = {
    "projectId": 30957,
    "collection": {
        "projectId": 30957,
        "private": True,
        "metadata": {
            "name": "Sandbox Chronicles",
            "description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
            "externalLink": "https://sequence.xyz/",
            "properties": {
                "maxNfts": 22,
                "minNfts": 4,
                "funCollection": True
            }
        }
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    projectId: 30957,
    collection: {
      projectId: 30957,
      private: true,
      metadata: {
        name: 'Sandbox Chronicles',
        description: 'A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.',
        externalLink: 'https://sequence.xyz/',
        properties: {maxNfts: 22, minNfts: 4, funCollection: true}
      }
    }
  })
};

fetch('https://metadata.sequence.app/rpc/Collections/CreateCollection', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "collection": {
    "id": 887,
    "projectId": 30957,
    "metadata": {
      "name": "Sandbox Chronicles",
      "description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
      "properties": {
        "funCollection": true,
        "maxNfts": 22,
        "minNfts": 4
      }
    },
    "private": true,
    "createdAt": "2024-10-23T06:56:39.027843Z",
    "updatedAt": "2024-10-23T06:56:39.027843Z",
    "baseURIs": {
      "contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/887.json",
      "tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/887/tokens/"
    }
  }
}
{
  "error": "WebrpcEndpoint",
  "code": 0,
  "msg": "endpoint error",
  "status": 400,
  "cause": "<string>"
}
{
  "error": "WebrpcBadResponse",
  "code": -5,
  "msg": "bad response",
  "status": 500,
  "cause": "<string>"
}

承認

Authorization
string
header
必須

Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.

ボディ

application/json
projectId
number
collection
object

レスポンス

OK

collection
object